/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_FUSIONSERVICE_FUSIONSERVICE_COMMON_H
#define JAC_AP_FUSIONSERVICE_FUSIONSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_trafficparticipantstruct.h"
#include "impl_type_perceptionboundingboxarray.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace fusionservice {

class FusionService {
public:
    constexpr FusionService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/FusionService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace fusionservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_FUSIONSERVICE_FUSIONSERVICE_COMMON_H
